<script setup>
import {useFetchBooks} from "@/stores/models/book/getBooks";
import {useRoute} from "vue-router";
import {watch} from "vue";

const host = import.meta.env.VITE_API_URL
const route = useRoute()

watch(
    () => route.params.id,
    (preVal) => {
        if (preVal === undefined) {
            useFetchBooks().fetchBooks('')
        }else {
            useFetchBooks().fetchBooks('?category.id=' + route.params.id)
        }
    },
    {
        immediate: true
    }
)
</script>

<template>
    <div class="row">

        <div
            v-for="book in useFetchBooks().getBooks"
            :key="book.id"
            class="col-12 col-sm-6 col-lg-4 col-xl-3 mb-4 "
        >
            <div class="card">
                <img :src="host + book.image.contentUrl" class="card-img-top" alt="...">
                <div class="card-body">
                    <h5 class="card-title">{{ book.name }}</h5>
                    <p class="card-text">{{ book.description }}</p>
                    <router-link :to="'/book-info/' + book.id" class="btn btn-primary">O'qish</router-link>
                </div>
            </div>

            <!-- kitob tugadi -->


        </div>
    </div>
</template>

<style scoped>

</style>